org.cybergarage.upnp.control

## Class ActionRequest

- java.lang.Object
- - org.cybergarage.http.HTTPPacket
  - - org.cybergarage.http.HTTPRequest
    - - org.cybergarage.soap.SOAPRequest
      - - org.cybergarage.upnp.control.ControlRequest
        - - org.cybergarage.upnp.control.ActionRequest

-     public class ActionRequest
      extends ControlRequest

  Represents a UPnP action control request. Extends ControlRequest to provide action-specific functionality.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionRequest()` Default constructor
    `ActionRequest(HTTPRequest httpReq)` Constructs an ActionRequest from an HTTP request.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getActionName()` Gets the action name from the request.
    `Node` | `getActionNode()` Gets the action node from the request.
    `ArgumentList` | `getArgumentList()` Gets the argument list from the request.
    `ActionResponse` | `post()` Posts the action request and gets the response.
    `void` | `setRequest(Action action, ArgumentList argList)` Sets the request with the specified action and argument list.

    - ### Methods inherited from class org.cybergarage.upnp.control.ControlRequest

      `isActionControl, isQueryControl, setRequestHost`

    - ### Methods inherited from class org.cybergarage.soap.SOAPRequest

      `getBodyNode, getEnvelopeNode, getSOAPAction, isSOAPAction, postMessage, print, setContent, setEnvelopeNode, setSOAPAction`

    - ### Methods inherited from class org.cybergarage.http.HTTPRequest

      `getFirstLineString, getHeader, getHTTPVersion, getLocalAddress, getLocalPort, getMethod, getParameterList, getParameterValue, getRequestHost, getRequestPort, getSocket, getURI, isGetRequest, isHeadRequest, isKeepAlive, isMethod, isNotifyRequest, isPostRequest, isSOAPAction, isSubscribeRequest, isUnsubscribeRequest, parseRequestLine, post, post, post, read, returnBadRequest, returnOK, returnResponse, set, setBindHost, setMethod, setRequestHost, setRequestPort, setSocket, setURI, setURI, toString`

    - ### Methods inherited from class org.cybergarage.http.HTTPPacket

      `addHeader, addHeader, clearHeaders, getCacheControl, getCharSet, getConnection, getContent, getContentInputStream, getContentLanguage, getContentLength, getContentRange, getContentRangeFirstPosition, getContentRangeInstanceLength, getContentRangeLastPosition, getContentString, getContentType, getDate, getFirstLine, getFirstLineToken, getHeader, getHeader, getHeaderString, getHeaderValue, getHost, getIntegerHeaderValue, getLongHeaderValue, getNHeaders, getServer, getStringHeaderValue, getStringHeaderValue, getTransferEncoding, getVersion, hasConnection, hasContent, hasContentInputStream, hasContentRange, hasFirstLine, hasHeader, hasTransferEncoding, init, isChunked, isCloseConnection, isKeepAliveConnection, read, set, set, set, set, setCacheControl, setCacheControl, setCacheControl, setConnection, setContent, setContent, setContent, setContent, setContentInputStream, setContentLanguage, setContentLength, setContentRange, setContentType, setDate, setHeader, setHeader, setHeader, setHeader, setHost, setIntegerHeader, setLongHeader, setServer, setStringHeader, setStringHeader, setTransferEncoding, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ActionRequest

          public ActionRequest()

      Default constructor

    - #### ActionRequest

          public ActionRequest(HTTPRequest httpReq)

      Constructs an ActionRequest from an HTTP request.
      Parameters:
        `httpReq` - the HTTP request to wrap

  - ### Method Detail

    - #### getActionName

          public String getActionName()

      Gets the action name from the request.
      Returns:
        the action name

    - #### getActionNode

          public Node getActionNode()

      Gets the action node from the request.
      Returns:
        the action node

    - #### getArgumentList

          public ArgumentList getArgumentList()

      Gets the argument list from the request.
      Returns:
        the argument list

    - #### post

          public ActionResponse post()

      Posts the action request and gets the response.
      Returns:
        the action response

    - #### setRequest

          public void setRequest(Action action,
                                 ArgumentList argList)

      Sets the request with the specified action and argument list.
      Parameters:
        `action` - the action to set
        `argList` - the argument list